optoKummenberg

Loading...
Searching...
No Matches
optoKummenberg.registers.SignalFlowManager.SignalFlowManager Class Reference
Inheritance diagram for optoKummenberg.registers.SignalFlowManager.SignalFlowManager:

## Public Member Functions
| __init__ (self, board=None)
| SetStageSystem (self, path_id, stage_id, channel_id, system_id)
| Sets the system on the specific stage.
| GetStageSystem (self, path_id, stage_id, channel_id)
| Gets the system on the specific stage.
| GetStageOutput (self, path_id, stage_id, channel_id)
| Gets stage output.
| GetStageOutputRegisterID (self, path_id, stage_id, channel_id)
| Gets stage output register ID.
| SetMainToForwardConnection (self, channel_mask=0x0F)
| Sets main to forward connection, channel_mask zero bit resets connection for particular channel.
| SetDefaultSignalFlow (self)
| Sets the default signal flow.
| SetFeedForwardConnection (self, register_idx, channel_mask)
| Sets feed forward conection register index: 0 - output conditioning stage, 1 - output stage channel_mask zero bit resets connection for particular channel.
| SetFeedBackConnection (self, channel_mask)
| Sets feedback conection channel_mask zero bit resets connection for particular channel.
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| __init__ (self, int or None channel=None, board=None)
| set_register (self, str or int register_name_or_id, value, bool set_internal=False)
| set_register_id (self, int register_id, value, type=None)
| get_register (self, str or int register_name_or_id)
| get_register_id (self, int register_id)
| get_register_names (self)

## Static Public Member Functions
| help ()

## Public Attributes
int | sys_id = 0x40
int | PATH_OFFSET = 20
int | CHANNEL_OFFSET = 5
int | CONFIG_OUTPUT_REG_NBR = 12
int | STAGE_REG_NBR = 60
dict | stageRegister
dict | configOutput
dict | mainToForward
dict | feedForward
dict | feedBack
dict | defaultSignalFlow
dict | stageOutput
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name = self.__class__.__name__
| register_list = self._get_register_list()

## Protected Attributes
bool | _readonly = False
Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| _channel = channel
| _board = board

## Additional Inherited Members
Protected Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| _get_register_list (self)
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
bool | _is_a_system = False

## Detailed Description

    The Signal Flow Manager is managing the active systems in the signal flow chain.
    Advanced manager System ID for channel X: 0x41

    +---------------------+---------------+-------------+----------+--------------+---------------+--------------------+
    | Register Name       | Id            | Type        | Unit     | Range        | Default       | Comment            |
    +=====================+================+=============+==========+==============+===============+====================+
    | input               | 5x CHANNEL + 0 | uint 32-bit | SystemID | 0x48 to 0x7f |               |                    |
    +---------------------+----------------+-------------+----------+--------------+---------------+--------------------+
    | input_conditioning  | 5x CHANNEL + 1 | uint 32-bit | SystemID | 0x48 to 0x7f |               |                    |
    +---------------------+----------------+-------------+----------+--------------+---------------+--------------------+
    | control             | 5x CHANNEL + 2 | uint 32-bit | SystemID | 0x48 to 0x7f |               |                    |
    +---------------------+----------------+-------------+----------+--------------+---------------+--------------------+
    | output_conditioning | 5x CHANNEL + 3 | uint 32-bit | SystemID | 0x48 to 0x7f |               |                    |
    +---------------------+----------------+-------------+----------+--------------+---------------+--------------------+
    | output              | 5x CHANNEL + 4 | uint 32-bit | SystemID | 0x48 to 0x7f |               |                    |
    +---------------------+----------------+-------------+----------+--------------+---------------+--------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoKummenberg.registers.SignalFlowManager.SignalFlowManager.__init__ | ( |  | self,
|  |  | board = None )

## Member Function Documentation

## ◆ GetStageOutput()

optoKummenberg.registers.SignalFlowManager.SignalFlowManager.GetStageOutput | ( |  | self,
|  |  | path_id,
|  |  | stage_id,
|  |  | channel_id )

Gets stage output.

## ◆ GetStageOutputRegisterID()

optoKummenberg.registers.SignalFlowManager.SignalFlowManager.GetStageOutputRegisterID | ( |  | self,
|  |  | path_id,
|  |  | stage_id,
|  |  | channel_id )

Gets stage output register ID.

## ◆ GetStageSystem()

optoKummenberg.registers.SignalFlowManager.SignalFlowManager.GetStageSystem | ( |  | self,
|  |  | path_id,
|  |  | stage_id,
|  |  | channel_id )

Gets the system on the specific stage.

(input stage, input conditiong stage, control stage, output conditioning stage, output stage)

## ◆ help()

optoKummenberg.registers.SignalFlowManager.SignalFlowManager.help | ( |  | ) |
| static

## ◆ SetDefaultSignalFlow()

optoKummenberg.registers.SignalFlowManager.SignalFlowManager.SetDefaultSignalFlow | ( |  | self | ) |

Sets the default signal flow.

## ◆ SetFeedBackConnection()

optoKummenberg.registers.SignalFlowManager.SignalFlowManager.SetFeedBackConnection | ( |  | self,
|  |  | channel_mask )

Sets feedback conection channel_mask zero bit resets connection for particular channel.

## ◆ SetFeedForwardConnection()

optoKummenberg.registers.SignalFlowManager.SignalFlowManager.SetFeedForwardConnection | ( |  | self,
|  |  | register_idx,
|  |  | channel_mask )

Sets feed forward conection register index: 0 - output conditioning stage, 1 - output stage channel_mask zero bit resets connection for particular channel.

## ◆ SetMainToForwardConnection()

optoKummenberg.registers.SignalFlowManager.SignalFlowManager.SetMainToForwardConnection | ( |  | self,
|  |  | channel_mask = 0x0F )

Sets main to forward connection, channel_mask zero bit resets connection for particular channel.

## ◆ SetStageSystem()

optoKummenberg.registers.SignalFlowManager.SignalFlowManager.SetStageSystem | ( |  | self,
|  |  | path_id,
|  |  | stage_id,
|  |  | channel_id,
|  |  | system_id )

Sets the system on the specific stage.

(input stage, input conditiong stage, control stage, output conditioning stage, output stage)

## Member Data Documentation

## ◆ _readonly

bool optoKummenberg.registers.SignalFlowManager.SignalFlowManager._readonly = False
| protected

## ◆ CHANNEL_OFFSET

int optoKummenberg.registers.SignalFlowManager.SignalFlowManager.CHANNEL_OFFSET = 5

## ◆ CONFIG_OUTPUT_REG_NBR

optoKummenberg.registers.SignalFlowManager.SignalFlowManager.CONFIG_OUTPUT_REG_NBR = 12

## ◆ configOutput

dict optoKummenberg.registers.SignalFlowManager.SignalFlowManager.configOutput

Initial value:
= {'name': 'configOutput',
'id': self.sys_id << 8 | 60,
'type': int,
'unit': 'SystemID',
'range': None,
'default': None,
'value': None}

## ◆ defaultSignalFlow

dict optoKummenberg.registers.SignalFlowManager.SignalFlowManager.defaultSignalFlow

Initial value:
= {'name': 'defaultSignalFlow',
'id': self.sys_id << 8 | 79,
'type': int,
'unit': None,
'range': None,
'default': None,
'value': None}

## ◆ feedBack

dict optoKummenberg.registers.SignalFlowManager.SignalFlowManager.feedBack

Initial value:
= {'name': 'feedBack',
'id': self.sys_id << 8 | 75,
'type': int,
'unit': None,
'range': None,
'default': None,
'value': None}

## ◆ feedForward

dict optoKummenberg.registers.SignalFlowManager.SignalFlowManager.feedForward

Initial value:
= {'name': 'feedForward',
'id': self.sys_id << 8 | 73,
'type': int,
'unit': int,
'range': None,
'default': None,
'value': None}

## ◆ mainToForward

dict optoKummenberg.registers.SignalFlowManager.SignalFlowManager.mainToForward

Initial value:
= {'name': 'mainToForward',
'id': self.sys_id << 8 | 72,
'type': int,
'unit': int,
'range': None,
'default': None,
'value': None}

## ◆ PATH_OFFSET

int optoKummenberg.registers.SignalFlowManager.SignalFlowManager.PATH_OFFSET = 20

## ◆ STAGE_REG_NBR

optoKummenberg.registers.SignalFlowManager.SignalFlowManager.STAGE_REG_NBR = 60

## ◆ stageOutput

dict optoKummenberg.registers.SignalFlowManager.SignalFlowManager.stageOutput

Initial value:
= {'name': 'stageOutput',
'id': self.sys_id << 8 | 80,
'type': float,
'unit': None,
'range': None,
'default': None,
'value': None}

## ◆ stageRegister

dict optoKummenberg.registers.SignalFlowManager.SignalFlowManager.stageRegister

Initial value:
= {'name': 'stageRegister',
'id': self.sys_id << 8 | 0x00,
'type': int,
'unit': 'int',
'range': [0x00, 0xFF],
'default': None,
'value': None}

## ◆ sys_id

int optoKummenberg.registers.SignalFlowManager.SignalFlowManager.sys_id = 0x40

The documentation for this class was generated from the following file:

- C:/git/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/SignalFlowManager.py